#include <propeller.h>
#include "ws2812.h"

// default to an 80mhz clock
static int ticks_per_ms = 80000000 / 1000;

void ws2812_clock_init(void)
{
    ticks_per_ms = CLKFREQ / 1000;      // ticks per millisecond
}

void ws2812_pause(int ms)
{
    waitcnt(CNT + ms * ticks_per_ms);
}